import numpy as np
import matplotlib.pyplot as plt
import mpl_toolkits.mplot3d
plt.rc('text', usetex=True)
plt.rc('font', family='serif')
plt.tick_params(labelsize=16)
ax = plt.figure(dpi=200).add_subplot(projection='3d')

X = np.arange(-3, 3, 0.01)
Y = np.arange(-4, 4, 0.01)
X, Y = np.meshgrid(X, Y)
Z = X*np.sin(X)*np.cos(X**2+Y)
surf = ax.plot_surface(X, Y, Z, linewidth=0, antialiased=False, alpha=0.2)
plt.show()

